/*
 * Copyright (c) 2012, 2021, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2016 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in 
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies 
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated 
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

package sun.util.resources.cldr.ext;

import sun.util.resources.OpenListResourceBundle;

public class LocaleNames_ig extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        final Object[][] data = new Object[][] {
            { "001", "Uwa" },
            { "002", "Afrika" },
            { "003", "Mpaghara Ugwu Amer\u1ecbka" },
            { "005", "Mpaghara Mgbada Ugwu America" },
            { "009", "Oceania" },
            { "011", "Mpaghara \u1eccd\u1ecbda Anyanw\u1ee5 Afr\u1ecbka" },
            { "013", "Etiti America" },
            { "014", "Mpaghara \u1eccw\u1ee5wa Anyanw\u1ee5 Afr\u1ecbka" },
            { "015", "Mpaghara Ugwu Afr\u1ecbka" },
            { "017", "Etiti Afr\u1ecbka" },
            { "018", "Mpaghara Mgbada Ugwu Afr\u1ecbka" },
            { "019", "Amer\u1ecbka" },
            { "021", "Mpaghara Ugwu America" },
            { "029", "Onye Carrabean" },
            { "030", "Mpaghara \u1eccw\u1ee5wa Anyanw\u1ee5 Asia" },
            { "034", "Mpaghara Mgbada Ugwu Asia" },
            { "035", "Mpaghara Mgbada Ugwu Asia d\u1ecb na \u1eccw\u1ee5wa Anyanw\u1ee5" },
            { "039", "Mpaghara Mgbada Ugwu Europe" },
            { "053", "Australasia" },
            { "054", "Melanesia" },
            { "057", "Mpaghara Micronesian" },
            { "061", "Polynesia" },
            { "142", "Asia" },
            { "143", "Etiti Asia" },
            { "145", "Mpaghara \u1eccd\u1ecbda Anyanw\u1ee5 Asia" },
            { "150", "Europe" },
            { "151", "Mpaghara \u1eccw\u1ee5wa Anyanw\u1ee5 Europe" },
            { "154", "Mpaghara Ugwu Europe" },
            { "155", "Mpaghara \u1eccd\u1ecbda Anyanw\u1ee5 Europe" },
            { "202", "Sub-Saharan Afr\u1ecbka" },
            { "419", "Latin America" },
            { "AC", "Ascension Island" },
            { "AD", "Andorra" },
            { "AE", "Obodo United Arab Emirates" },
            { "AF", "Mba Afghanistan" },
            { "AG", "Antigua & Barbuda" },
            { "AI", "Anguilla" },
            { "AL", "Albania" },
            { "AM", "Obodo Armenia" },
            { "AO", "Angola" },
            { "AQ", "Antarctica" },
            { "AR", "Argentina" },
            { "AS", "American Samoa" },
            { "AT", "Austria" },
            { "AU", "Australia" },
            { "AW", "Aruba" },
            { "AX", "Agwaetiti Aland" },
            { "AZ", "Obodo Azerbaijan" },
            { "BA", "Bosnia & Herzegovina" },
            { "BB", "Barbados" },
            { "BD", "Obodo Bangladesh" },
            { "BE", "Belgium" },
            { "BF", "Burkina Faso" },
            { "BG", "Bulgaria" },
            { "BH", "Obodo Bahrain" },
            { "BI", "Burundi" },
            { "BJ", "Binin" },
            { "BL", "St. Barth\u00e9lemy" },
            { "BM", "Bemuda" },
            { "BN", "Brunei" },
            { "BO", "Bolivia" },
            { "BQ", "Caribbean Netherlands" },
            { "BR", "Mba Brazil" },
            { "BS", "Bahamas" },
            { "BT", "Obodo Bhutan" },
            { "BV", "Agwaetiti Bouvet" },
            { "BW", "Botswana" },
            { "BY", "Belarus" },
            { "BZ", "Belize" },
            { "CA", "Kanada" },
            { "CC", "Agwaetiti Cocos (Keeling)" },
            { "CD", "Congo - Kinshasa" },
            { "CF", "Central African Republik" },
            { "CG", "Congo" },
            { "CH", "Switzerland" },
            { "CI", "C\u00f4te d\u2019Ivoire" },
            { "CK", "Agwaetiti Cook" },
            { "CL", "Chile" },
            { "CM", "Cameroon" },
            { "CN", "Mba China" },
            { "CO", "Colombia" },
            { "CP", "Agwaetiti Clipperton" },
            { "CR", "Kosta Rika" },
            { "CU", "Cuba" },
            { "CV", "Cape Verde" },
            { "CW", "Kurakao" },
            { "CX", "Agwaetiti Christmas" },
            { "CY", "Obodo Cyprus" },
            { "CZ", "Czechia" },
            { "DE", "Mba Germany" },
            { "DG", "Diego Garcia" },
            { "DJ", "Djibouti" },
            { "DK", "Denmark" },
            { "DM", "Dominika" },
            { "DO", "Dominican Republik" },
            { "DZ", "Algeria" },
            { "EA", "Ceuta & Melilla" },
            { "EC", "Ecuador" },
            { "EE", "Estonia" },
            { "EG", "Egypt" },
            { "EH", "\u1eccd\u1ecbda Anyanw\u1ee5 Sahara" },
            { "ER", "Eritrea" },
            { "ES", "Spain" },
            { "ET", "Ethiopia" },
            { "EU", "Otu nzuk\u1ecd mba Europe" },
            { "EZ", "Gburugburu Euro" },
            { "FI", "Finland" },
            { "FJ", "Fiji" },
            { "FK", "Agwaetiti Falkland" },
            { "FM", "Micronesia" },
            { "FO", "Agwaetiti Faroe" },
            { "FR", "Mba France" },
            { "GA", "Gabon" },
            { "GB", "Mba United Kingdom" },
            { "GD", "Grenada" },
            { "GE", "Obodo Georgia" },
            { "GF", "Frenchi Guiana" },
            { "GG", "Guernsey" },
            { "GH", "Ghana" },
            { "GI", "Gibraltar" },
            { "GL", "Greenland" },
            { "GM", "Gambia" },
            { "GN", "Guinea" },
            { "GP", "Guadeloupe" },
            { "GQ", "Equatorial Guinea" },
            { "GR", "Greece" },
            { "GS", "South Georgia na Agwaetiti South Sandwich" },
            { "GT", "Guatemala" },
            { "GU", "Guam" },
            { "GW", "Guinea-Bissau" },
            { "GY", "Guyana" },
            { "HK", "Honk Kong mba nwere ndozi p\u1ee5r\u1ee5 iche n\u2019obodo China" },
            { "HM", "Agwaetiti Heard na Agwaetiti McDonald" },
            { "HN", "Honduras" },
            { "HR", "Croatia" },
            { "HT", "Hati" },
            { "HU", "Hungary" },
            { "IC", "Agwaetiti Kanar\u1ecb" },
            { "ID", "Indonesia" },
            { "IE", "Ireland" },
            { "IL", "Obodo Israel" },
            { "IM", "Isle of Man" },
            { "IN", "Mba India" },
            { "IO", "British Indian Ocean Territory" },
            { "IQ", "Obodo Iraq" },
            { "IR", "Obodo Iran" },
            { "IS", "Iceland" },
            { "IT", "Mba Italy" },
            { "JE", "Jersey" },
            { "JM", "Jamaika" },
            { "JO", "Obodo Jordan" },
            { "JP", "Mba Japan" },
            { "KE", "Kenya" },
            { "KG", "Obodo Kyrgyzstan" },
            { "KH", "Cambodia" },
            { "KI", "Kiribati" },
            { "KM", "Comorosu" },
            { "KN", "St. Kitts & Nevis" },
            { "KP", "Mba Ugwu Korea" },
            { "KR", "Mba South Korea" },
            { "KW", "Obodo Kuwait" },
            { "KY", "Agwaetiti Cayman" },
            { "KZ", "Obodo Kazakhstan" },
            { "LA", "Laos" },
            { "LB", "Obodo Lebanon" },
            { "LC", "St. Lucia" },
            { "LI", "Liechtenstein" },
            { "LK", "Obodo Sri Lanka" },
            { "LR", "Liberia" },
            { "LS", "Lesotho" },
            { "LT", "Lithuania" },
            { "LU", "Luxembourg" },
            { "LV", "Latvia" },
            { "LY", "Libyia" },
            { "MA", "Morocco" },
            { "MC", "Monaco" },
            { "MD", "Moldova" },
            { "ME", "Montenegro" },
            { "MF", "St. Martin" },
            { "MG", "Madagaskar" },
            { "MH", "Agwaetiti Marshall" },
            { "MK", "North Macedonia" },
            { "ML", "Mali" },
            { "MM", "Myanmar (Burma)" },
            { "MN", "Obodo Mongolia" },
            { "MO", "Obodo Macao nwere ndozi p\u1ee5r\u1ee5 iche na mba China" },
            { "MP", "Agwaetiti Northern Mariana" },
            { "MQ", "Martinique" },
            { "MR", "Mauritania" },
            { "MS", "Montserrat" },
            { "MT", "Malta" },
            { "MU", "Mauritius" },
            { "MV", "Maldivesa" },
            { "MW", "Malawi" },
            { "MX", "Mexico" },
            { "MY", "Malaysia" },
            { "MZ", "Mozambik" },
            { "NA", "Namibia" },
            { "NC", "New Caledonia" },
            { "NE", "Niger" },
            { "NF", "Agwaetiti Norfolk" },
            { "NG", "Na\u1ecbj\u1ecbr\u1ecba" },
            { "NI", "Nicaragua" },
            { "NL", "Netherlands" },
            { "NO", "Norway" },
            { "NP", "Obodo Nepal" },
            { "NR", "Nauru" },
            { "NU", "Niue" },
            { "NZ", "New Zealand" },
            { "OM", "Obodo Oman" },
            { "PA", "Panama" },
            { "PE", "Peru" },
            { "PF", "Frenchi Polynesia" },
            { "PG", "Papua New Guinea" },
            { "PH", "Philippines" },
            { "PK", "Obodo Pakistan" },
            { "PL", "Poland" },
            { "PM", "St. Pierre & Miquelon" },
            { "PN", "Agwaetiti Pitcairn" },
            { "PR", "Puerto Rico" },
            { "PS", "Obodo d\u1ecb iche iche d\u1ecb n\u2019okpuru mba Palestine" },
            { "PT", "Portugal" },
            { "PW", "Palau" },
            { "PY", "Paraguay" },
            { "QA", "Obodo Qatar" },
            { "QO", "Outlying Oceania" },
            { "RE", "R\u00e9union" },
            { "RO", "Romania" },
            { "RS", "Serbia" },
            { "RU", "Mba Russia" },
            { "RW", "Rwanda" },
            { "SA", "Obodo Saudi Arabia" },
            { "SB", "Agwaetiti Solomon" },
            { "SC", "Seychelles" },
            { "SD", "Sudan" },
            { "SE", "Sweden" },
            { "SG", "Singapore" },
            { "SH", "St. Helena" },
            { "SI", "Slovenia" },
            { "SJ", "Svalbard & Jan Mayen" },
            { "SK", "Slovakia" },
            { "SL", "Sierra Leone" },
            { "SM", "San Marino" },
            { "SN", "Senegal" },
            { "SO", "Somalia" },
            { "SR", "Suriname" },
            { "SS", "South Sudan" },
            { "ST", "S\u00e3o Tom\u00e9 & Pr\u00edncipe" },
            { "SV", "El Salvador" },
            { "SX", "Sint Maarten" },
            { "SY", "Obodo Syria" },
            { "SZ", "Eswatini" },
            { "TA", "Tristan da Cunha" },
            { "TC", "Agwaetiti Turks na Caicos" },
            { "TD", "Chad" },
            { "TF", "\u1ee4m\u1ee5 ngalaba Frenchi Southern" },
            { "TG", "Togo" },
            { "TH", "Thailand" },
            { "TJ", "Obodo Tajikistan" },
            { "TK", "Tokelau" },
            { "TL", "Timor-Leste" },
            { "TM", "Obodo Turkmenistan" },
            { "TN", "Tunisia" },
            { "TO", "Tonga" },
            { "TR", "Obodo Turkey" },
            { "TT", "Trinidad & Tobago" },
            { "TV", "Tuvalu" },
            { "TW", "Obodo Taiwan" },
            { "TZ", "Tanzania" },
            { "UA", "Ukraine" },
            { "UG", "Uganda" },
            { "UM", "Obere Agwaetiti D\u1ecb Na Mp\u1ee5ga U.S" },
            { "UN", "Mba \u1ee4wa Jik\u1ecdr\u1ecd \u1eccn\u1ee5" },
            { "US", "Mba United States" },
            { "UY", "Uruguay" },
            { "UZ", "Obodo Uzbekistan" },
            { "VA", "Vatican City" },
            { "VC", "St. Vincent & Grenadines" },
            { "VE", "Venezuela" },
            { "VG", "Agwaetiti British Virgin" },
            { "VI", "Agwaetiti Virgin nke US" },
            { "VN", "Vietnam" },
            { "VU", "Vanuatu" },
            { "WF", "Wallis & Futuna" },
            { "WS", "Samoa" },
            { "XA", "Pseudo-Accents" },
            { "XB", "Pseudo-Bidi" },
            { "XK", "Kosovo" },
            { "YE", "Obodo Yemen" },
            { "YT", "Mayotte" },
            { "ZA", "South Africa" },
            { "ZM", "Zambia" },
            { "ZW", "Zimbabwe" },
            { "ZZ", "Mpaghara Amagh\u1ecb" },
            { "ak", "Akan" },
            { "am", "Amariik\u1ecb" },
            { "ar", "Arabiik\u1ecb" },
            { "be", "Belaruusu" },
            { "bg", "B\u1ecdl\u1ee5gar\u1ecba" },
            { "bn", "Bengali" },
            { "cs", "Cheek\u1ecb" },
            { "de", "As\u1ee5s\u1ee5 Jaman" },
            { "el", "Giriik\u1ecb" },
            { "en", "As\u1ee5s\u1ee5 Bekee" },
            { "es", "As\u1ee5s\u1ee5 Spanish" },
            { "fa", "Peshan" },
            { "fr", "As\u1ee5s\u1ee5 F\u1ee5rench" },
            { "ha", "Aw\u1ee5sa" },
            { "hi", "Hindi" },
            { "hu", "Mag\u1ecbya" },
            { "id", "Indonisia" },
            { "ig", "As\u1ee5s\u1ee5 Igbo" },
            { "it", "As\u1ee5s\u1ee5 Italian" },
            { "ja", "As\u1ee5s\u1ee5 Japanese" },
            { "jv", "Java" },
            { "km", "Keme, Etiti" },
            { "ko", "Koria" },
            { "ms", "Maleyi" },
            { "my", "M\u1ecbanma" },
            { "ne", "Nepali" },
            { "nl", "D\u1ecd\u1ecdch" },
            { "pa", "Punjabi" },
            { "pl", "Poliishi" },
            { "pt", "As\u1ee5s\u1ee5 Portuguese" },
            { "ro", "Rumenia" },
            { "ru", "As\u1ee5s\u1ee5 Russian" },
            { "rw", "R\u1ee5wanda" },
            { "so", "Somali" },
            { "sv", "S\u1ee5widiishi" },
            { "ta", "Tam\u1ee5l\u1ee5" },
            { "th", "Ta\u1ecb" },
            { "tr", "T\u1ecdkiishi" },
            { "uk", "Ukureen\u1ecb" },
            { "ur", "Urudu" },
            { "vi", "Viyet\u1ecbnaam\u1ee5" },
            { "yo", "Yoruba" },
            { "zh", "Mandar\u1ecb\u1ecbn\u1ecb" },
            { "zu", "Zulu" },
            { "und", "As\u1ee5s\u1ee5 amagh\u1ecb" },
            { "Arab", "Mkp\u1ee5r\u1ee5 Okwu Arabic" },
            { "Cyrl", "Mkp\u1ee5r\u1ee5 Okwu Cyrillic" },
            { "Hans", "Nke d\u1ecb mfe" },
            { "Hant", "Izugbe" },
            { "Jpan", "Japanese" },
            { "Kore", "Korea" },
            { "Latn", "Latin" },
            { "Zxxx", "Edegh\u1ecb ede" },
            { "Zzzz", "Mkp\u1ee5r\u1ee5 okwu amagh\u1ecb" },
            { "de_AT", "Jaman nd\u1ecb Austria" },
            { "de_CH", "Jaman Izugbe nd\u1ecb Switzerland" },
            { "en_AU", "Bekee nd\u1ecb Australia" },
            { "en_CA", "Bekee nd\u1ecb Canada" },
            { "en_US", "Bekee nd\u1ecb America" },
            { "es_ES", "As\u1ee5s\u1ee5 Spanish nd\u1ecb Europe" },
            { "es_MX", "As\u1ee5s\u1ee5 Spanish nd\u1ecb Mexico" },
            { "fr_CA", "F\u1ee5rench nd\u1ecb Canada" },
            { "fr_CH", "F\u1ee5rench nd\u1ecb Switzerland" },
            { "pt_BR", "As\u1ee5s\u1ee5 Portuguese nd\u1ecb Brazil" },
            { "pt_PT", "As\u1ee5s\u1ee5 Portuguese nd\u1ecb Europe" },
            { "ar_001", "\u1ee4d\u1ecb Arabiik\u1ecb nke oge a" },
            { "es_419", "As\u1ee5s\u1ee5 Spanish nd\u1ecb Latin America" },
            { "zh_Hans", "As\u1ee5s\u1ee5 Chinese d\u1ecb mfe" },
            { "zh_Hant", "As\u1ee5s\u1ee5 Chinese Izugbe" },
            { "type.nu.latn", "\u1eccn\u1ee5 \u1eccg\u1ee5g\u1ee5 Mpaghara \u1eccd\u1ecbda Anyanw\u1ee5" },
            { "type.ca.iso8601", "Kalenda ISO-8601" },
            { "type.co.standard", "Usoro Nhazi" },
            { "type.ca.gregorian", "Kalenda Gregory" },
        };
        return data;
    }
}
